Package com.usatiuk.dhfsfs.service

# Class DirectoryNotEmptyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.usatiuk.dhfsfs.service.DirectoryNotEmptyException

All Implemented Interfaces:
  `Serializable`

public class DirectoryNotEmptyException extends RuntimeException
DirectoryNotEmptyException is thrown when a directory is not empty. This exception is used to indicate that a directory cannot be deleted because it contains files or subdirectories.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DirectoryNotEmptyException()`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`fillInStackTrace()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DirectoryNotEmptyException

public DirectoryNotEmptyException()

## Method Details

### fillInStackTrace

public Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `Throwable`